Apple iOS < 13.1 Multiple Vulnerabilities (HT210603)

critical Nessus Plugin ID 151621

Synopsis

The version of Apple iOS running on the mobile device is affected by multiple vulnerabilities.

Description

The version of Apple iOS running on the mobile device is prior to 13.1. It is, therefore, affected by multiple vulnerabilities including the following:

- A memory corruption vulnerability was addressed with improved locking. This issue is fixed in iOS 13.1 and iPadOS 13.1, watchOS 6, tvOS 13. An application may be able to execute arbitrary code with kernel privileges. (CVE-2019-8740)

- A memory corruption issue was addressed with improved memory handling. This issue is fixed in macOS Catalina 10.15, iOS 13.1 and iPadOS 13.1, tvOS 13, macOS Catalina 10.15.1, Security Update 2019-001, and Security Update 2019-006, watchOS 6. An application may be able to execute arbitrary code with system privileges. (CVE-2019-8831)

- A memory corruption vulnerability was addressed with improved locking. This issue is fixed in watchOS 6.1.
An application may be able to execute arbitrary code with kernel privileges. (CVE-2019-8747)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Apple iOS version 13.1 or later

See Also

https://support.apple.com/en-us/HT210603

Plugin Details

Severity: Critical

ID: 151621

File Name: apple_ios_131_check.nbin

Version: 1.8

Type: local

Published: 7/14/2021

Updated: 5/24/2022

Risk Information

CVSS Score Source: CVE-2019-8831

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 9.3

Temporal Score: 7.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: E:POC/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:apple:iphone_os

Required KB Items: mdm/dependency/unlocked

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 9/24/2019

Vulnerability Publication Date: 9/24/2019

Reference Information

CVE: CVE-2019-8706, CVE-2019-8710, CVE-2019-8740, CVE-2019-8743, CVE-2019-8747, CVE-2019-8750, CVE-2019-8751, CVE-2019-8752, CVE-2019-8762, CVE-2019-8763, CVE-2019-8765, CVE-2019-8766, CVE-2019-8769, CVE-2019-8773, CVE-2019-8774, CVE-2019-8775, CVE-2019-8780, CVE-2019-8799, CVE-2019-8809, CVE-2019-8831, CVE-2019-8850, CVE-2019-8901, CVE-2020-9932

APPLE-SA: APPLE-SA-2019-9-26-8, HT210603

IAVA: 2020-A-0430-S